package domain


type AlibabaWdkSkuCombineskuQueryApiResult struct {
    /*
        单个商品是否查询成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        单个商品查询异常编码（异常才有值）     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        单个商品查询异常信息（异常才有值）     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        商品信息     */
    Model  *AlibabaWdkSkuCombineskuQuerySkuDo `json:"model,omitempty" `

}

func (s *AlibabaWdkSkuCombineskuQueryApiResult) SetSuccess(v bool) *AlibabaWdkSkuCombineskuQueryApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuQueryApiResult) SetErrCode(v string) *AlibabaWdkSkuCombineskuQueryApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuQueryApiResult) SetErrMsg(v string) *AlibabaWdkSkuCombineskuQueryApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuQueryApiResult) SetModel(v AlibabaWdkSkuCombineskuQuerySkuDo) *AlibabaWdkSkuCombineskuQueryApiResult {
    s.Model = &v
    return s
}
